# Imagick::setImageColormapColor

(PECL imagick 2.0.0)

Imagick::setImageColormapColor — Sets the color of the specified colormap index

### Description

Imagick::setImageColormapColor ( int `$index` , ImagickPixel `$color` ) : bool

Sets the color of the specified colormap index.

### Parameters

`index`

`color`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.